(function (root, factory){
   if(typeof define === 'function' && define.amd){
    define(['jquery'], factory);
   } 
   else if(typeof exports === 'object'){
    module.exports = factory(require('jquery'));
   }
   else {
    root.slighty = factory(root.jQuery);
   }
}(this, function($) {

    function slighty(options){
        this.init();
        this.options = $.extend(options, this.constructor.defaults);
    }

    slighty.defaults = {
        borderSize: 2,
        borderColor: '#000'
    }

    slighty.prototype.init = function() {
        var self = this;
        $(function(){
            self.build();
            self.bind();
        });
    }

    slighty.prototype.bind = function(){
        var self = this;
        $(document).on('click', 'a[data-slighty]', function(event){
            event.preventDefault();
            self.show($(event.currentTarget));
        });
    }

    slighty.prototype.build = function(){
        var self = this;
        var element = '<div class="slighty-overlay"><div class="slighty-container"><div class="slighty-image-container"><a class="slighty-close-button"></a><div class="slighty-image-view"><img class="slighty-image"/></div></div></div></div>';
        $(element).appendTo('body');

        this.$slighty = $(".slighty-overlay");
        this.$slighty.hide();

        this.$slighty.find('a.slighty-close-button').on('click', function(){
            self.$slighty.fadeOut('fast');
        });
    }

    slighty.prototype.show = function(target){
        var self = this;
        var src = $(target[0]).attr('href');
        $('.slighty-image').attr('src', src);
        $(".slighty-overlay").fadeIn('fast');
    }

    return new slighty();
}));